# $Revision: 1.11 $, $Date: 2011/03/03 19:37:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	DBM
%define		pnam	Deep
Summary:	DBM::Deep - A pure Perl multi-level hash/array DBM
Summary(pl.UTF-8):	DBM::Deep - czysto perlowy moduł DBM dla wielopoziomowych haszy/tablic
Name:		perl-DBM-Deep
Version:	2.0004
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SP/SPROUT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b329da1e68d203feed242b00ae3ebe7d
URL:		http://search.cpan.org/dist/DBM-Deep/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-IO-stringy >= 0.01
BuildRequires:	perl-Test-Deep >= 0.095
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Warn >= 0.08
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A unique flat-file database module, written in pure Perl. True
multi-level hash/array support (unlike MLDBM, which is faked), hybrid
OO/tie() interface, cross-platform FTPable files, and quite fast. Can
handle millions of keys and unlimited hash levels without significant
slow-down. Written from the ground-up in pure Perl - this is NOT a
wrapper around a C-based DBM. Out-of-the-box compatibility with Unix,
Mac OS X and Windows.

%description -l pl.UTF-8
Jest to unikalny moduł bazy danych na płaskim pliku, napisany w
czystym Perlu. Ma prawdziwą obsługę wielopoziomowych haszy/tablic (w
przeciwieństwie do MLDBM, który jest oszukany), hybrydowy interfejs
obiektowy/tie(), wieloplatformowe pliki po FTP i jest dość szybki.
Może obsłużyć miliony kluczy i nieograniczoną liczbę poziomów tablic
asocjacyjnych bez znacznego spowolnienia. Napisany jest od początku w
czystym Perlu - NIE jest to wrapper na moduł DBM napisany w C. Jest
kompatybilny z Uniksami, Mac OS X oraz Windows.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	destdir=$RPM_BUILD_ROOT \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/DBM/Deep.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/DBM/Deep/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/DBM
%{perl_vendorlib}/DBM/Deep.pm
%{perl_vendorlib}/DBM/Deep
%{_mandir}/man3/DBM::Deep*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBM-Deep.spec,v $
Revision 1.11  2011/03/03 19:37:03  qboosh
- updated to 2.0004

Revision 1.10  2009/09/07 10:25:13  amateja
- release 2

Revision 1.9  2009/09/07 10:22:02  amateja
- updated Licence:
- added BRs for tests
- added %dir in %files section

Revision 1.8  2009/06/18 10:09:27  amateja
- updated to 1.0014

Revision 1.7  2008/07/27 22:32:47  arekm
- release 2

Revision 1.6  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:16  paladine
- formatting

Revision 1.3  2004/10/24 14:25:43  paladine
- uniksami->Uniksami

Revision 1.2  2004/05/20 16:42:20  qboosh
- pl

Revision 1.1  2004/05/20 15:19:24  migo
- initial revision
